package com.xhpc.order.domain;

import com.xhpc.common.core.web.domain.BaseEntity;

import javax.validation.constraints.NotNull;


/**
 * @author
 * @description 历史订单清分状态 xhpc_history_order_sorting_status
 * @date 2021-07-22
 */
public class XhpcHistoryOrderSortingStatus extends BaseEntity {

    /**
     * 历史订单清分状态id
     */
    private Long historyOrderSortingStatusId;

    /**
     * 历史订单id
     */
    @NotNull(message = "历史订单id不能为空")
    private Long historyOrderId;

    /**
     * 状态（0待清分 1清分在途，2已提现，3待提交，4待审核）
     */
    @NotNull(message = "状态不能为空")
    private Integer status;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private Integer delFlag;

    public Long getHistoryOrderSortingStatusId() {
        return historyOrderSortingStatusId;
    }

    public void setHistoryOrderSortingStatusId(Long historyOrderSortingStatusId) {
        this.historyOrderSortingStatusId = historyOrderSortingStatusId;
    }

    public Long getHistoryOrderId() {
        return historyOrderId;
    }

    public void setHistoryOrderId(Long historyOrderId) {
        this.historyOrderId = historyOrderId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}
